%define libnotesharedprivate_major 5
%define libnotesharedprivate %mklibname notesharedprivate %libnotesharedprivate_major
%define knotesprivate_major 5
%define libknotesprivate %mklibname knotesprivate %knotesprivate_major

Name:       knotes
Summary:    Note taking
Version: 	17.12.3
Release:    %mkrel 1
Group:      Graphical desktop/KDE5
License:    GPLv2
URL:        http://www.kde.org/
Source0:    http://download.kde.org/stable/applications/%{version}/src/%name-%{version}.tar.xz

BuildRequires: kf5-macros
BuildRequires: xsltproc
BuildRequires: cmake 
BuildRequires: lib64boost-devel
BuildRequires: lib64grantlee-devel
BuildRequires: lib64ical-devel
BuildRequires: lib64kconfig-devel 
BuildRequires: lib64kcoreaddons-devel 
BuildRequires: lib64kf5akonadi-devel 
BuildRequires: lib64kf5akonadinotes-devel 
BuildRequires: lib64kf5akonadisearch-devel 
BuildRequires: lib64kf5auth-devel 
BuildRequires: lib64kf5calendarcore-devel 
BuildRequires: lib64kf5calendarutils-devel 
BuildRequires: lib64kf5completion-devel 
BuildRequires: lib64kf5configwidgets-devel 
BuildRequires: lib64kf5crash-devel 
BuildRequires: lib64kf5dbusaddons-devel 
BuildRequires: lib64kf5globalaccel-devel 
BuildRequires: lib64kf5i18n-devel 
BuildRequires: lib64kf5iconthemes-devel 
BuildRequires: lib64kf5kcmutils-devel 
BuildRequires: lib64kf5kcontacts-devel 
BuildRequires: lib64kf5kdelibs4support-devel 
BuildRequires: lib64kf5kdnssd-devel 
BuildRequires: lib64kf5kontactinterface-devel 
BuildRequires: lib64kf5libkdepim-devel 
BuildRequires: lib64kf5mime-devel 
BuildRequires: lib64kf5newstuff-devel 
BuildRequires: lib64kf5notifications-devel 
BuildRequires: lib64kf5notifyconfig-devel 
BuildRequires: lib64kf5parts-devel 
BuildRequires: lib64kf5pimcommon-devel 
BuildRequires: lib64kf5pimtextedit-devel 
BuildRequires: lib64kf5service-devel 
BuildRequires: lib64kf5sonnetui-devel 
BuildRequires: lib64kf5textwidgets-devel 
BuildRequires: lib64kf5widgetsaddons-devel 
BuildRequires: lib64kf5windowsystem-devel 
BuildRequires: lib64kf5xmlgui-devel 
BuildRequires: lib64kio-devel 
BuildRequires: lib64kitemmodels-devel 
BuildRequires: lib64kitemviews-devel 
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5dbus-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5network-devel 
BuildRequires: lib64qt5printsupport-devel 
BuildRequires: lib64qt5widgets-devel 
BuildRequires: lib64qt5x11extras-devel 
BuildRequires: lib64qt5xml-devel 
BuildRequires: libxcb-devel 
BuildRequires: libxml2-utils 
BuildRequires: qtbase5-common-devel 
BuildRequires: x11-proto-devel 


%description
KNotes aims to be a useful and full featured notes application for
the KDE project. It tries to be as fast and lightweight as possible
although including some advanced features.

%files
%_kf5_sysconfdir/xdg/knotes.categories
%_kf5_sysconfdir/xdg/knotes.renamecategories
%_kf5_bindir/knotes
%_kf5_bindir/akonadi_notes_agent
%_kf5_sysconfdir/xdg/knotes_printing_theme.knsrc
%_qt5_plugindir/kcm_knotessummary.so
%_qt5_plugindir/kcm_knote.so
%_kf5_datadir/applications/org.kde.knotes.desktop
%_kf5_datadir/metainfo/org.kde.knotes.appdata.xml
%_kf5_datadir/knotes
%_kf5_services/kcmknotessummary.desktop
%_kf5_datadir/kxmlgui5/knotes
%_kf5_services/knote_*
%_datadir/dbus-1/interfaces/org.kde.KNotes.xml
%_kf5_datadir/knotifications5/akonadi_notes_agent.notifyrc
%_kf5_datadir/config.kcfg/knotesglobalconfig.kcfg
%_kf5_datadir/config.kcfg/notesagentsettings.kcfg
%_kf5_datadir/kconf_update/knotes*
# Kontact integration
%_qt5_plugindir/kontact_knotesplugin.so
%_kf5_services/kontact/knotesplugin.desktop
%_datadir/dbus-1/interfaces/org.kde.kontact.KNotes.xml
%_kf5_datadir/kontact/ksettingsdialog/knotes.setdlg
%_kf5_datadir/akonadi/agents/notesagent.desktop
%_iconsdir/hicolor/*/*/*
#------------------------------------------------------------------------------
%_kf5_libdir/libnotesharedprivate.so.%{libnotesharedprivate_major}*
%_kf5_libdir/libknotesprivate.so.%{knotesprivate_major}*
%_kf5_datadir/locale
#------------------------------------------------------------------------------

%package handbook
Summary: %name handbook
Requires:  %name
BuildArch: noarch
Group: Documentation

%description handbook
This package provides the %name handbook.

%files handbook
%_kf5_docdir/HTML
#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=%_kf5_bindir/ld.gold
%cmake_kf5

%make

%install
rm -rf %buildroot
%make_install -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%changelog
* Mon Mar 12 2018 bb2 <bb2> - 17.12.3-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 17.12.2-1pclos2018
- new version

* Fri Jan 12 2018 bb2 <bb2> - 17.12.1-1pclos2018
- new version

* Fri Dec 15 2017 bb2 <bb2> - 17.12.0-1pclos2017
- new version

* Thu Nov 09 2017 bb2 <bb2> - 17.08.3-1pclos2017
- new version

* Thu Oct 12 2017 bb2 <bb2> - 17.08.2-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 17.08.1-1pclos2017
- new version

* Fri Aug 18 2017 bb2 <bb2> - 17.08.0-1pclos2017
- new version

* Fri Jul 14 2017 bb2 <bb2> - 17.04.3-1pclos2017
- new version

* Thu Jun 08 2017 bb2 <bb2> - 17.04.2-1pclos2017
- new version

* Thu May 11 2017 bb2 <bb2> - 17.04.1-1pclos2017
- new version

* Fri Apr 21 2017 bb2 <bb2> - 17.04.0-1pclos2017
- new version

* Fri Mar 10 2017 bb2 <bb2> - 16.12.3-1pclos2017
- new version

* Fri Feb 10 2017 bb <bb> - 16.12.2-1pclos2017
- new version

* Thu Jan 12 2017 bb <bb> - 16.12.1-1pclos2017
- new version

* Thu Dec 15 2016 bb <bb> 16.12.0-1pclos2017
- import

